/*
 * ssd1306.h
 *
 *  Created on: Jan 13, 2016
 *      Author: tkl
 */

#ifndef SSD1306_H_
#define SSD1306_H_

struct ssd1306 {
	const struct i2c *dev;
	const char i2c_addr;
};

struct bitmap;

int ssd1306_open(const struct ssd1306 *dev);
int ssd1306_close(const struct ssd1306 *dev);
int ssd1306_write(const struct ssd1306 *dev, const struct bitmap *bitmap);

#endif /* SSD1306_H_ */
